# Class WatchesPathReport

java.lang.Object
org.apache.zookeeper.server.watch.WatchesPathReport

public class WatchesPathReport extends Object
A watch report, essentially a mapping of path to session IDs of sessions that have set a watch on that path. This class is immutable.

## Method Summary

Modifier and Type
Method
Description
`Set<Long>`
`getSessions(String path)`
Gets the session IDs of sessions that have set watches on the given path.
`boolean`
`hasSessions(String path)`
Checks if the given path has watches set.
`Map<String, Set<Long>>`
`toMap()`
Converts this report to a map.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### hasSessions

public boolean hasSessions(String path)
Checks if the given path has watches set.

Parameters:
  `path` - path
Returns:
  true if path has watch set

### getSessions

public Set<Long> getSessions(String path)
Gets the session IDs of sessions that have set watches on the given path. The returned set is immutable.

Parameters:
  `path` - session ID
Returns:
  session IDs of sessions that have set watches on the path, or null if none

### toMap

public Map<String, Set<Long>> toMap()
Converts this report to a map. The returned map is mutable, and changes to it do not reflect back into this report.

Returns:
  map representation of report